package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Finance;
import com.cloudcross.ssp.base.service.IGenericService;

// 此处的User需要修改为数据库中对应的model
public interface IFinanceService extends IGenericService<Finance>{
	public Finance findByBalance(Map<String, Object> paramMap);
	
	/**
	 * 资金分配的保存，插入两条记录，一条是代理商分配的记录，一条是广告主的分配记录
	 * @param paramMap
	 * @return
	 */
	boolean saveAllocation(Map<String, Object> paramMap);
	
	List<Finance> findByParams(Map<String, Object> paramMap);
}
